Before you upgrade vCenter Server to version 5.0, make sure that any ESX 3.5 hosts that are in a vSphere HA cluster are updated to a patch level that supports High Availability.

If a version 3.5 ESX or ESXi host is in a vSphere HA cluster and is not updated to a patch level that supports High Availability, you cannot add that host to the HA cluster or remove it from maintenance mode after the associated vCenter Server is upgraded to version 5.0.

Update ESX 3.5 hosts to ESX350-201012401-SG PATCH, and update ESXi 3.5 hosts to ESXe350-201012401-I-BG PATCH. If you have updated your version 3.5 hosts to these patch levels but you still cannot add the hosts to a HA cluster or remove them from maintenance mode after the associated vCenter Server is upgraded to version 5.0, you might need to apply the following patches.

Apply these patches to ESX 3.5 hosts:

ESX350-201012401-SG PATCH

ESX350-201012402-BG PATCH

ESX350-201012404-BG PATCH

ESX350-201012405-BG PATCH

ESX350-201012406-BG PATCH

ESX350-201012407-BG PATCH

ESX350-201012408-SG PATCH

ESX350-201012409-SG PATCH

ESX350-201012410-BG PATCH

Apply these patches to ESXi 3.5 hosts:

ESXe350-201012401-I-BG PATCH

ESXe350-201012402-T-BG PATCH

For information about updating version 3.5 hosts with patches, see the ESX Server 3 Patch Management Guide. You can download patches from the VI3 Patches and Updates page at http://www.vmware.com/patch/download/.